services:
  roonserver:
    environment:
      - "QNAP_MODEL=${QNAP_MODEL:-Docker}"
      - "QNAP_SERIAL=${QNAP_SERIAL:-NoSerial}"
      - "QNAP_QTS_VER=${QNAP_QTS_VER:-System}"
      - "ROONMNT_DIR=/Roon"
    volumes:
      # mount all disks and shared folders
      - /share:/share

      # mount database folder
      - ${ROON_DATAROOT:-/dev/null}:/Roon/data

      # mount qnap configfiles 
      - /etc/config/qpkg.conf:/etc/config/qpkg.conf:ro
      - /etc/os-release:/etc/os-release:ro

      # fake qnap binaries 
      - ../scripts/getcfg.sh:/sbin/getcfg:ro
      - ../scripts/getsysinfo.sh:/sbin/getsysinfo
      - ../scripts/get_hwsn.sh:/sbin/get_hwsn
